/* reset css 때문에 태그 기본 스타일 안먹는 현상 수정  */
.ck-content i{font-style: revert !important;}
.ck-content ul, .ck-content ul li{list-style: revert !important;}
.ck-content ol, .ck-content ol li{list-style: revert !important;}
.ck-content a { color: revert !important; text-decoration: revert !important; cursor: revert; }

/*CKEditor에서 툴바가 "스크롤 시 따라다니는 상태"일 때 붙는 클래스*/
.ck-sticky-panel__content_sticky {
  top: 60px !important;
  z-index: 999;
}

/* 일반 편집 모드일 때 최소 높이 지정*/
.ck-editor__editable { min-height: 400px;}

/* 소스코드 편집 모드일 때 최소 높이 지정*/
.ck-source-editing-area { min-height: 400px; font-size: 16px; line-height: 10px;}


.ck-content * {color:inherit; line-height:2; font-size:16px; word-wrap: break-word; /* letter-spacing:initial; */}
.ck-content :where(ul,ol,li) { margin-left:10px; }
.ck-content { font-family:Pretendard; font-size: 16px; line-height: 24px; overflow:hidden; }
.ck-content img { max-width:100%; object-fit: contain; height: auto; }
.ck-content strong {font-family:inherit; font-size:inherit; color:inherit; line-height:inherit;}

@media screen and (min-width: 1200px) and (max-width: 1450px) {
.ck-content * {color:#333; line-height:2; font-size: 1.1034vw; word-wrap: break-word;}
.ck-content { font-family:Pretendard; font-size: 1.1034vw; line-height: 1.6552vw; overflow:hidden; }
}

@media screen and (min-width: 900px) and (max-width: 1199px){
.ck-content * {color:#333; line-height:2; font-size: 1.3344vw; word-wrap: break-word;}
.ck-content { font-family:Pretendard; font-size: 1.3344vw; line-height: 2.0017vw; overflow:hidden; }
}

@media screen and (max-width: 899px){
.ck-content * {color:#333; line-height:2; font-size: 13px; word-wrap: break-word;}
.ck-content { font-family:Pretendard; font-size: 13px; line-height: 2.6696vw; overflow:hidden; }
}

/* 에디터 툴바 라인 제거 */
.ck.ck-editor__editable_inline {border:none !important;}
.ck.ck-editor__top .ck-sticky-panel .ck-sticky-panel__content {border:none !important; border-bottom:1px solid #e7e8e9 !important;}

/* 에디터 마크 제거 */
.ck-powered-by-balloon {
  overflow: hidden;
  border: 0;
  position: absolute;
  z-index: -1;
  width: 1px;
  height: 1px;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
}

/* 에디터가 포커스 되었을 때 CKEditor가 주는 box-shadow(하이라이트)를 제거하고, 브라우저 기본 outline을 사용 */
.ck.ck-editor__editable.ck-focused:not(.ck-editor__nested-editable) {
  box-shadow:none !important;
  outline:auto !important;
}

/* 테이블 안 에디터 패딩 제거(관리자) */
.write-basic table tbody td:has(.ck) {
  padding:0;
}

/* 편집 모드에서 이미지 캡션 높이 조정 */
.ck-content .image > figcaption {
  min-height: 0 !important;
  height: auto !important;       /* 내용만큼만 */
  padding: 2px 4px !important;   /* 기본 padding 축소 */
  line-height: 1.2 !important;   /* 행간 축소 */
}


